FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202006290400.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202006290400.p0 
ENV __doozer=merge OS_GIT_COMMIT=bb6fb49 OS_GIT_VERSION=4.4.0-202006290400.p0-bb6fb49 SOURCE_DATE_EPOCH=1582732711 SOURCE_GIT_COMMIT=bb6fb49e4f0b33baea88befb6cbe304296f8d294 SOURCE_GIT_TAG=bb6fb49 SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-storage-version-migrator-operator 
WORKDIR /go/src/github.com/openshift/cluster-kube-storage-version-migrator-operator
COPY . .
RUN make build --warn-undefined-variables

FROM openshift/ose-base:v4.4.0.20200629.040018
ENV __doozer=update BUILD_RELEASE=202006290400.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202006290400.p0 
ENV __doozer=merge OS_GIT_COMMIT=bb6fb49 OS_GIT_VERSION=4.4.0-202006290400.p0-bb6fb49 SOURCE_DATE_EPOCH=1582732711 SOURCE_GIT_COMMIT=bb6fb49e4f0b33baea88befb6cbe304296f8d294 SOURCE_GIT_TAG=bb6fb49 SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-storage-version-migrator-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-kube-storage-version-migrator-operator/cluster-kube-storage-version-migrator-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/operator/v1/*_kube-storage-version-migrator-operator_*.yaml* /manifests

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-kube-storage-version-migrator-operator" \
        com.redhat.component="ose-cluster-kube-storage-version-migrator-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="kube-storage-version-migrator" \
        release="202006290400.p0" \
        io.openshift.build.commit.id="bb6fb49e4f0b33baea88befb6cbe304296f8d294" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-kube-storage-version-migrator-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-kube-storage-version-migrator-operator/commit/bb6fb49e4f0b33baea88befb6cbe304296f8d294" \
        version="v4.4.0"

